Welcome

Shredder by Stefan Meyer-Kahlen

Shredder Classic 3, Shredder 11 UCI and Deep Shredder 11 UCI are commercial chess programs by Stefan Meyer-Kahlen.

This manual gives you all the information you need to use Shredder efficiently for playing and analysing chess games.

Using this help file

Besides using the content tab you can access every subject directly via the index. If you don't find any entry with the desired topic, you can also search for any key word in the help file. In that case all topics including the key word will be listed.

You can also print out every topic.


Note

Shredder Classic 3 , Shredder 11 UCI and Deep Shredder 11 UCI are copyright protected programs.

For 30 days you can try out the test version of Shredder Classic 3 free of charge and without obligation. After 30 days you either need to register or you need to delete Shredder Classic 3 from your hard drive. There are no test versions of Shredder 11 UCI and Deep Shredder 11 UCI available. However the user interface of all three programs is the same, the difference is the integrated chess engine and the available extras for each program.


Registration

If you would like to use Shredder Classic 3 after 30 days of testing you have to purchase a license code and register it. Shredder 11 UCI and Deep Shredder 11 UCI need to be registered at the first program start with a purchased license key.

You will find more information at www.shredderchess.com .

If you would like to purchase a license code you can just click on the Purchase Code button which will automatically bring you to the registration page in the Internet.

Directly after your payment is received you will get a license code together with your desired registration name. You have to enter both in the following dialog.

You can choose whether you want to register the user interface, the engine or both. As the code for the engine and user interface of Shredder is the same, it is recommended to register both simultaneously and leave both check boxes activated.

You have to enter the name and code exactly the same like you have received it with your registration.

Usually you get your code by email. It is recommended to enter the code in Shredder via the clipboard. To do so mark the code in your email program and copy it with Ctrl-C into the clipboard. Now click in Shredder in the edit field for the code and type Ctrl-V.

If you have entered a valid code the button "Register" will be activated automatically. If this doesn't happen please check if you have entered name and code correctly.

After successfully registering Shredder you can use the program unlimited and without any restriction and of course the dialogs asking you to register won't appear any longer.


Contact

You reach the homepage of Shredder in the internet at www.shredderchess.com.


Author

Stefan Meyer-Kahlen

Shredder is a series of chess programs by Stefan Meyer-Kahlen. Stefan Meyer-Kahlen works on Shredder since 1992.

Since 1996 Stefan Meyer-Kahlen with his computer chess program Shredder has already won ten titles as World Computer Chess Champion.

· 1996 World Micro Computer Chess Champion in Jakarta

· 1999 World Micro Computer Chess Champion in Paderborn

· 1999 World Computer Chess Champion in Paderborn

· 2000 World Micro Computer Chess Champion in London

· 2001 World Micro Computer Chess Champion Single CPU in Maastricht

· 2002 World Computer Chess Blitz Champion in Maastricht

· 2003 World Computer Chess Champion in Graz

· 2003 World Computer Chess Blitz Champion in Graz

· 2004 World Computer Chess Blitz Champion in Tel Aviv

· 2005 World Computer Chess Blitz Champion in Reykjavik

· 2006 World Computer Chess960 Champion in Mainz

· 2007 World Computer Chess Blitz Champion in Amsterdam

Additionally he has gained further victories and excellent results in important computer chess tournaments, such as the IPCCC in Paderborn or the Open Dutch Computer Chess Championships.

The opening book was made by the Italian expert Sandro Necci and was especially designed to suit Shredder's playing style.


Menus

You can activate Shredder's functions via the menu at the top of the screen.

The following pull down menus are available:

  • File Menu

  • Commands Menu

  • Levels Menu

  • Mode Menu

  • Extras Menu

  • Windows Menu

  • Help Menu

Some menus contain sub menus with more commands.

You can also call many functions from the context menus by right clicking in a window.


Start options

You can start Shredder with the default settings if you keep the shift key pressed when starting Shredder.

You can avoid that the last game is reloaded if you start Shredder with the ctrl key pressed.


File Menu

New Game

Starts a new game with the last settings, e.g. playing level

New Rated Game

Opens a dialog where you can start playing a rated game against Shredder. In rated games Shredder can calculate the Elo performance of the players. At the top of the dialog you can see your current rating in Elo. It is not allowed to take back moves in a rated game.

New Shuffle Game

Starts a new game of shuffle chess. In shuffle chess the initial position of the pieces varies in every game.

In contrast to normal chess you don't need so much opening theory in shuffle chess.

Load Game

Shows a list of the games in the active database. To load a game double click on its entry in the list

Save Game

Saves the current game in the active database.

Enter the names of the players, the tournament, the venue, the result etc. in the mask.

If you enter the complete data it will be easier to find the game later.

Hint: Take care to enter names always in the same way. If you for example enter games of Gary Kasparov with "Kasparov" and later with "Kasparow" the search functions of the program won't be able to find all games of the player in the database.

Replace Game

Replaces a game in the database with the current game.

Delete Game

Deletes a game in the database.

Load Position

Loads a position from an epd file. Shredder offers a dialog for handling epd files which contain many chess positions.

Save Position

Saves the current position in an epd file.

Recent Files

Shredder remembers all recently opened files. Click on an entry or press Ctrl-X to reload the marked file.

Edit Position

Opens the dialog for setting up a position. The current position on the chess board apears as the default position. To enter a piece, click on the desired piece on the right of the chess board. The mouse pointer will change to that piece and now you can click on any square to place the piece on that square.

Print Game

Prints the current game.

Print Position

Prints the current position on the chess board.

Exit

Quits Shredder. All settings will be saved automatically and will be reloaded again at the next program start.


Commands Menu

Compute / Switch Sides

Starts the engine to calculate a move. During a game this can be used to switch sides.

Interrupt

Interrupts the calculating process of the engine. Shredder plays the best move found so far. This command is only possible if the engine is calculating.

Copy

Copies data to the Windows clipboard. You can copy the current game in PGN format, the current position in EPD format, the content of the analyse window, the last analysis or the game notation to the clipboard. You can use this to exchange data with other windows applications like text processors.

Paste

Imports the content of the Windows clipboard into Shredder. This can be either a game in PGN format or a position in EPD format.

Offer draw

You can offer a draw to the program if it is your turn to move. This command is only legal when playing a game. You will receive an answer from Shredder whether the offer was accepted or declined.

Resign

You can resign a game when playing against the program.

Goto Move

Jumps directly to the entered move number of the current game.

Replay game

Replays the current game automatically.

Show Main Line

Shows the current main line of the program on a graphical chess board. With the buttons you can navigate in the line. In automatic mode the line will be replayed automatically, clicking on 'Update' gets the latest main line from the engine.

Hint: the analysis will not be interrupted.

Insert Main Line

Inserts the current main line into the game notation.

Insert Best Move

Inserts the best move found so far as an alternative line in the game notation.

Game Details

Shows the dialog for entering the game details.


Levels Menu

In the levels menu you can define how much time the players are allowed to use.

Comparable to a human chess player Shredder plays stronger when it has more time. You can choose between some predefined and adjustable levels.

Blitz

Here you can set the time each player is allowed to use for the whole game. Usually the time is set for both players.

Increment: the entered value in seconds will be added to the remaining time after every move. This is called the Fischer clock.

Human Bonus: You can play with more time against Shredder.

Time per Move

In this mode Shredder uses either exactly the specified time per move or just this time on average.

Exceptions:

  • Shredder is playing moves from his opening book

  • Shredder has found a mate

The level with exact time per move is not suited for playing normal games. This level should only be used when analysing test sets.

Time Controls

Here you can define up to three different time controls. The third time control will only be available if you have entered a second one. With 'all' you can specify that the time has to be used for the rest of the game. You can also define an increment which will be added to the remaining time after every move.

Fixed Search Depth

You can set how many moves Shredder should think in advance. The time needed for this is dependent on the current position on the chess board. Positions with more pieces need much more time than those with only a few pieces left.

Limit Strength

You can reduce Shredder's playing skill to a fixed Elo number. The bigger the number the stronger Shredder is playing. If you want to play yourself against the program it is strongly recommended to adapt Shredder's playing strength to your own skills.

Please note that if you set the slider all the way to the right you have not set Shredder to play with his full strength. To do this you have to deactivate this option.


Mode Menu

Analysis

Starts the background analysis of the program. In this mode the engine is not playing any moves. When entering moves or replaying games the engine permanently displays its evaluation of the current position and more info about the search process in the analysis window.

See Analyse mode

See Selecting moves

Play against Computer

In this mode Shredder plays its moves according to the set level.

Enter Moves

In this mode you can enter moves or games in the program. Shredder is not playing any moves himself and no thinking information will be displayed.

Shootout

The program is playing against itself. You can use this mode to let Shredder finish a game for both sides from a given position.

Daily Chess Puzzle

You can download daily updated chess puzzles from our server directly in Shredder. You have the choice between three levels of difficulty. After solving the puzzle you can analyse the position with Shredder and save the puzzle in a database on your computer.

Triple Brain

The Triple Brain is a new and unique concept to combine the strengths of two different chess engines. Two 'normal' chess engines are analysing a position and a third program determines which move alternative is the best. In Shredder this module is called Triple Brain. In his own engine window the Triple Brain shows an evaluation value between 0 and 100%. This value indicates how sure the Triple Brain is when choosing a move.

Analyse Game

Shredder can automatically analyse the current game and search for mistakes. See here.

Analyse Positions

Shredder can automatically analyse all positions in an EPD, PGN or CBF file. For every position one or more solutions can be defined. When the analysis is completed Shredder displays a statistics with the solution times for all positions. Also two files with the statistics will be generated in the Shredder directory. One is in EPD format and one in CSV format which can be directly imported in many spread sheet programs for further examination.

Autoplayer

Shredder has a built in interface to the auto232 system. With auto232 chess programs can play each other automatically on two different PCs.

Engine Match

In the Shredder user interface two engines can play against each other automatically. The games of the match will saved in a PGN database. Using a single cpu system it is recommended to switch off permanent brain.

Engine Tournament

In the Shredder interface chess engines can automatically play a tournament among each other.

External Board

Shredder supports the electronic chess boards of TASC and DGT. You can make moves on those boards which will be automatically sent to the chess program.

Hint: the TASC board is only working with Windows 95, 98 and ME.


Extras Menu

In the Extras Menu you will find the sub menus for the engines, the opening book, the endgame oracle and the options.

Engines Submenu

Hint: you can access many more important functions by right clicking in the analyse window.

Permanent Brain

Shredder continues to calculate when it is the user's move against the program. Shredder expects the user to make a certain move. If this particular move is played Shredder has saved some time on his clock resulting in stronger overall play.

Hint: Shredder shows the expected move in the analysis window. Analysis from permanent brain will be displayed in a different color.

Install Engine

Installs a new engine in the Shredder interface.

Uninstall Engine

Deletes an engine from the internal engine's list of Shredder. Note: The engine is not deleted from the hard disk!

Edit Engine File

You can edit the engine files of Shredder with Notepad. Usually you don't need to do this manually as Shredder provides all the functions to manipulate this files with the configuration data for the engines.

Endgame databases

Opens the dialog with the settings for the endgame databases.

Opening Book Submenu

The opening book of Shredder is stored in a tree with positions. The included opening book contains about 20000 moves and was manually edited by the Italian opening book expert Sandro Necchi. The opening book takes care of move transpositions.

New Opening Book

Creates a new empty opening book. The file extensions of the Shredder opening books is *.bkt.

Load Opening Book

Loads an existing opening book in Shredder. There can only be one book loaded at the same time.

Import Opening Book

Imports an existing opening book in many supported formats into the currently loaded opening book.

Import Games

It is possible to import the moves of games from PGN or CBF databases into Shredder. You can filter the moves to be imported by the following criteria:

  • Import Lines Side lines from the games will be imported as well.

  • Import Statistics imports the number of games played, won, lost and draws. Also the strength of the players will be included.

  • Import Move Attributes imports comments of moves into the book

  • The length of the lines be imported can be specified as well.

  • Absolute Length defines the half moves how deep the lines should be imported.

  • ECO Related Length defines the length of the lines after the last found position in the ECO database in half moves.

Import Current Game

Imports the current game in the opening book.

Export Opening Book

Shredder can export the opening book in a format the can be read be Pocket Fritz. See also here.

Count Book Moves

Displays the number moves in the current opening book.

Weed Opening Book

Shredder checks the content of the opening book and less important moves will be deleted.

Publish Game

Here you can tell Shredder to save the game automatically after each move in a certain file. You can choose to save the game with or without comments. This can be used to publish games live with external tools.

Endgame Oracle

Opens the dialog for the endgame oracle.

Options

You can set the main options of Shredder in this dialog.


Windows Menu

Board

Switches the display of the graphical chess board on or off.

Clocks

Switches the chess clocks on or off.

Notation

Switches the notation window on or off.

Engine

The display of the engine analysis can be switched on or off. If you play a serious game against Shredder you should close this window to not get additional information about the evaluation of Shredder for the current positoin.

Moves

Toggles the moves window. In the moves window you can see the moves from the opening book, all legal moves or the moves from the endgame databases. Right click in the window to switch between these options.

Histogram

The history of the current game will be shown graphically in the histogram window.

Submenus

Design

In the design sub menu you can set your favourite colors, load different backgrounds and switch the title bars of the windows on and off. You can load and save your user settings in Shredder design files with the suffix *.sdn.

Title bars: You can switch the title bars on and off to adjust Shredder's appearence to larger and smaller screens.

Window Layout

Here you can load and save different window layouts and also create your own custom layout. Shredder layout files have the suffix *.slo.


Help Menu

Help

Starts the integrated online help off Shredder. You can also press F1 instead.

Hint

If it is your turn to move you can ask Shredder for a hint. Shredder will show his suggested move on the graphical chess board. If it is Shredder's turn to move the best move found so far will be shown on the chess board.

Coach is Watching

Switches the chess coach on or off.

Register

Here you can register Shredder with your name and your personal license code. If this command is not available Shredder as well as the current engine are already registered.

Query Program Update

You can ask Shredder to look for program updates in the Internet on www.shredderchess.com. If Shredder finds a new version, you will be asked if your installed version should be updated automatically. When checking for updates Shredder will send your license code encrypted to our server to check with our customer database, if the update query is legal.

Upgrade information

Calls an Internet page where you can get information about upgrades for your Shredder version (registered version only, not in Deep Shredder).

Shredder Homepage

Calls the homepage of Shredder in the internet.

Use this to keep track of new developments in Shredder.

About Shredder

Shows information about the program.


Right click

Beside the normal pull down menus the context menus for every window are an important user interface item. A click with the right mouse button opens a context menu in every window. Many functions are easier accessible via the context menu than via the normal pull down menu.

Example:

With a right click in the clock window you can easily access almost all time related functions with just one mouse click.

Tipp ! Hint: Try right clicking the mouse in all windows to get access to context related functions.


Double click

In many windows you can access important functions by double clicking in the window.

Double click on the chess clock

Opens a dialog for setting the chess clock.

Click in game notation

Jumps to the specific move of the current game.

Double click in game notation

You can enter a comment for every move or position in a game. A double click on a move opens a dialog to enter a comment for that move or the position after that move.

Double click on the game header

Opens the dialog for editing the game header.

Double click on the engine name

Above the analysis window you will find the name of the currently loaded engine.

By double clicking on the name you open a dialog to change the engine.

Click on expected move

Above the analysis window on the right side you see the expected move of the engine when it is your turn to move. Click on this move to execute the move on the graphical chess board.


Toolbar

Below the main menu you see the toolbar of Shredder. The tool bar gives you quick access to many common commands of Shredder.

Funktionsleiste Shredder Classic

By right clicking on the toolbar you can change the size of the icons and show or hide groups of icons.

When you move the mouse on an icon and pause for a moment, the function of the button is displayed.


Shortcuts

Many functions of Shredder are easily accessible via the keyboard. You just have to press some specific keys. Those key combinations are called shortcuts or hotkeys.

In the menus next to the name of the functions you will often find the shortcut for that function. If you for example want to start a new game you can also do this by pressing Ctrl-N.


Options

Options Dialog

In the options dialog you can change the most important settings of Shredder.

You can open this dialog by choosing Extras -> Options in the main menu or by pressing the F12 key.

Coordinates

Switches the display of the coordinates on the graphical chess board on or off.

Fast Mouse Input

If only one piece can move to a specific square, you can enter this move by just clicking on that square. Example: If you click on the square e4 in the initial position, the move will be executed. Similarly, a click on a piece with just one legal move is enough to execute that move.

If this option is disabled you have to click on the start and target square to enter a move or drag the piece to the target square with the mouse.

Adapt Time

If you switch the playing level in a game, the used and remaining time on the chess clock will be adjusted. Example: You play 40/15 and both players have 6 minutes left on the clock. You are winning and want to switch to 40/5. With out this option both players would still have 6 minutes left, with this option both would have 2 minutes left.

Flag

If you or Shredder have spent all their time on the chess clock a dialog will appear. Usually the game is lost for this side, but you can switch off this feature.

Show All Principle Variation

The program displays all calculated principal variations in the analysis window. By default only the lines after about one second will be displayed.

Show Current Line

In the analysis window, the line under evaluation is updated once each second.

Etiquette

Shredder can resign games and offer/accept draws. This will also happen in engine matches and tournaments if this option is enabled.

Evaluation for White

The evaluation of the engine for a position is always from white's point of view. Otherwise it is from the engine's point of view.

Long Notation

Long algebraic notation is used.

Auto Flip Board

In engine matches and when starting a new gane the board is flipped automatically.

Auto Save

All games will be saved automatically in the file "autosave.pgn".

Automatic Updates

You can tell Shredder to automatically look for updates in the Internet on www.shredderchess.com. If this option is activated, Shredder will regularly check if a new version is available for download. If so, this version will be automatically installed on request.

Animation Speed

Adjusts the speed how fast the pieces are moving on the chess board. If set to 0 the pieces will directly jump from the start to the target square.

Announce moves

The moves on the chess board will be announced. The sound files needed for the voice output are not included in the standard distribution. By clicking on the Download button they can be automatically downloaded and installed.

Move Sound

The program will play a sound if a move is played on the chess board.

Coach

Shredder will warn you if you make a mistake. You can adjust in which situations the coach will warn you.

Threshold

The coach will warn you if your move is more than the selected threshold (in 1/100 of a pawn) worse than the best move.

Time

Specifies the time for Shredder to suggest a better move.

Endgame Databases -> see here ....

Book Options -> see here ....

Engine Options -> see here .....


Screen layout

The Shredder screen has multiple elements (six windows, toolbar and status bar).

Every window can be closed and opened with a command in the windows menu and resized with the mouse. Adjacent windows will be automatically resized as well. You can avoid this by keeping the alt key pressed when dragging a window with the mouse.

There are several predefined layouts that can be activated in the menu Windows -> Window Layout.

Chess board

Notation window

Chess clocks

Moves window

Histogram

Search Information

Analyse window

Toolbar

Status bar

Title bars

3D chess board

Command line

Material difference


Chess board

The chess board can be displayed in 2D or 3D graphics.To toggle between the two displays either type Ctrl-3, use the menu Window Layout -> 3D-Board or click on the 3D symbol in the toolbar.

The size of the chess pieces will automatically adapt when you resize the chess board.

The colours of the 2D chess board, the 2D pieces, the text and the background can be changed with the menu Windows -> Design -> Colors.

The coordinates, labels of ranks and files on the chess board can be hidden with the Coordinates command from the Options menu (F12).

Here you can also specify if the pieces slide slowly or jump instantly over the board.

The computer’s last move is marked on the board with a coloured frame. As soon as the mouse cursor is moved over the board the frame is removed.

Tipp ! You can change the components quickly by using the commands F3 (Change Pieces) and F4 (Change Board). It is also possible to access these commands with a context menu by right clicking on the board.


Chess clocks

You can choose how the chess clock should be displayed.

A right click in the chess clocks opens the context menu.

Single

A simple display of the chess clock with the times for white and black.

Double

Like Single, but also the used time per move will be shown.

Digital White

Digital display with a white background.

Digital Black

Digital display with a white background.

Set Clocks

Here you can adjust the used time so far.

Levels

Changes the playing level.

Logo

Displays or hides the logo.

Close

Closes the clock window

Tipp ! The buttons next to the clock indicate whether it is white's or black's turn to move

.


Game notation

This window shows the moves of the game with variations, commentary and the game details. The moves can be displayed in either long or short notation.

Tipp ! You can chose the font and the font size in this window via the context menu.

You can replay and undo the moves with the mouse wheel.

The color of the last played move can be chosen in the menu Windows -> Design -> Colors -> Current Move.

If the game is very long then a scroll bar appears on the right of the move window. You can use it to view the whole game.

The game details are displayed at the top of the move record. In the first line the players are shown.

Comments can be entered or edited using the "Enter Comment" command in the right-click context menu (or pressing Ctrl-M).

Tipp ! Clicking a move will cause the board to jump to that position.

Tipp ! A right mouse click on the notation window will provide a menu of useful commands and shortcuts.


Moves window

By right clicking in the moves window you can choose which information will be displayed.

  • Moves from the opening book, including many statistics.

  • All legal moves as well as (optionally) their refutation from the chess engine, and the order in which the moves are examinded by the program. Please note that the chess program is often not displaying the best refutation for a move but a refutation that is good enough to prove that the move is inferior. The lines displayed should therefore be taken with caution, but they don't cost any additional cpu time for the engine.

  • Information from the endgame databases.Here you will also find a button labeled Online. You can query the online endgame database of Shredder with the current postion by pressing this button.

In Automatic Mode, the display will switch automatically. If there are moves in the book, the book moves will be displayed. If the position is in the endgame databases, the info from the database will be displayed; otherwise the legal moves will be shown.

If you click on a move the move will be executed on the chess board.

If the moves of the opening book are displayed you can change the value of the move in the opening book by right clicking on the move.


Histogram

The histogram shows the evaluation of Shredder as well as the time used per move during the game. With the histogram you can, for example, see precisely where mistakes happened in the game.

An advantage for white is shown at the top, an advantage for black at the bottom. Green means advantage for Shredder, red for the human player. The black and blue lines show the time used per move.

By clicking into the window you can directly jump to that specific position.

The x axis shows the moves of the game; the y axis, the evaluation and the used time.

  • blue line: time used by white

  • black line: time used by black

  • green: Shredder is better

  • red: human player is better

  • line below the x axis: black is better

  • line above the x axis: white is better

  • blue mark at the left side of the window: the moves were played out of the opening book

  • blue mark at the right side of the window: shows the scale of the window.

Shredder automatically create a histogram for a game without data for the histogram. Load this game and simply select Make Histogram from the context menu of the histogram. Shredder will start generating the histogram. The longer he can calculate the better and more exact the histogram will be. To get a quick overview of a game a few seconds are usually enough.

This data can also be copied to the game notation from the context menu. Note that the data for a move will only be copied if the move has no text comment yet.


Search information

In the search information window the chess program is showing information about its analysis. If you have loaded more than one chess engine, every engine will get its own information window.

Engine is calculating

  • Name of the active chess engine

  • Currently examined move

  • Search depth (brute-force/selective)

  • move time

  • evaluation of the position

  • examined positions per second

  • usage of the hash tables

User is to move

  • Expected move.

Useful for understanding the main lines is the main line window. It can be opened by pressing F11 when the chess program is calculating.


Analysis window

In the analysis window information about the engine's search process will be displayed. In every line you see the following data:

  • search depth

  • time

  • evaluation

  • best line so far

  • number of evaluated positions

  • number of the evaluated positions per second

The best line so far is displayed in a different color.

The colors in the analysis window depend on the settings in Windows -> Design -> Colors. If you have set the current move to red the display will for example look like this:

Tipp ! Analysis in the Permanent Brain will be shown in a different color.

If you have activated Continuous Display in the context menu, the content window will be cleared only when quitting the program, otherwise before every analysis of a position. You can scroll backwards to see the analysis from previous positions.

This can easily be done with the keyboard:

  • Ctrl+Shift+CURSOR-UP one line up

  • Ctrl+Shift+CURSOR-DOWN one line down

  • Ctrl+Shift+PAGE-UP one page up

  • Ctrl+Shift+PAGE-DOWN one page down

  • Ctrl+Shift+HOME top of the window

  • Ctrl+Shift+END end of the window

  • Ctrl+Shift+DEL clears the content of the window

All the information in the analysis window can be saved in a text file. Right click in the window and choose Dump File form the menu.

You can also copy the analysis in the clipboard:

Right click - Copy, copies the whole content of the window in the clipboard

Right click - Copy Last Analysis, copies the analysis of the last position in the clipboard


Status bar

In the status bar (at the bottom of the program window), the following information will be displayed:

  • side to move (white or black)

  • status of the program (thinking, pondering, analysing, waiting)

  • the current playing level


Title bars

In the title bars of the windows, important information will sometimes be displayed (for example, the current score in engine matches).

You can switch the tiltle bars on or off with Windows -> Design -> Window Title Bars or with the shortcut Shift-F3.


3D board

You need at least 256 colors for the 3D board. There are different pieces and chess boards for the 3D display. You can switch the pieces with F3 and the boards with F4 the board can be dragged with the mouse.

  • to move the board, click on the top or bottom border of the board and drag the mouse

  • to resize the board, click on the left or right border and drag the mouse

  • to rotate the board, click on one of the four corners of the board and drag the mouse.

    • You can also use the numeric keyboard to modify the 3D board.

    The cursor keys move the board; HOME and END change the size of the pieces.


Material difference

Below the notation window you see the display of the difference of the material of both sides on the chess board.

Anzeige unterschiedlicher Materialverteilung ....

In this example white has a rook and a pawn for a bishop and a knight.

You can switch the display off in the context menu of the notation window.


Main line window

The main line window is a useful tool to display the current main line or principal variation of the chess engine. This window can only be shown when the engine is currently thinking on a position. Press F11 or Commands -> Show Main Line to open the window in this case.

The window will look like this:

Activate "Automatic" to automatically see the current main line.

The four buttons have the following meaning:

  • jump to the beginning of the main line

  • take back the last move of the main line

  • redo the next move of the main line

  • jump to the end of the main line

  • with "Update" you can get the current main line of the engine

  • "OK" closes the window


Command line

You can enter moves in Shredder with the keyboard using either long or short notation. When you start typing, the command line window will display automatically, to allow you to verify your input.

Examples:

e2e4

d4

Nf3

b1c3

0-0


Design / Window Layout

The commands for Design and Window Layout can be found in the Windows menu. There you can change the layout and design of the Shredder windows according to your preferences.

Example: To switch the color in the notation window (of the last played move on the chess board), you have to open the colors dialog with: Windows -> Design -> Colors. Here, click on Current Move to change the color to one you like.

You can save different designs and layouts and reload them again later.

With windows layout you basically save the positions and sizes of the windows. You can define different layouts for different tasks, for example for playing and for analysing games.


Entering moves

The easiest way to enter moves is with the mouse on the graphical chess board. Move the mouse to the desired piece, click on the piece with the left mouse button and move the piece to the desired square with the mouse button still pressed.

Tipp You can replay each move in the notation window by just clicking on it with the mouse.

You can also enter moves with the keyboard in the command line.

When dragging a piece with the mouse over the chess board Shredder will display an error indicating the expected reply when you are about to make a mistake. A yellow arrow shows a weak move and a red arrow a blunder. You can disable this feature in the context menu of the chess board.


New game

You can start a new game anytime you want.

Chose File -> New Game in the menu, press the shortcut Ctrl-N or click on the New Game button in the toolbar.


Special moves

· To capture a piece, enter your piece’s move only.

· To castle, enter the king’s move only.

· To capture a pawn en passant, enter only the move of the capturing pawn.

· To promote a pawn, move it to the final rank. This will open up a dialog in which you can select the promotion piece. Keyboard: type in the pawn move replacing the last digit (1 or 8) with the letter of the promotion piece. Examples: b7bQ (b7-b8Q) or a2bN (a2xb1N). Note that the piece names should be upper case!


Shredder Classic is thinking

Shredder is thinking

When Shredder is thinking the status bar will display ‘Thinking…’.

When Shredder plays a move, the piece it has moved is marked with a coloured frame. This shows you that it is your turn. The frame disappears when you move the mouse or touch a key.

Some menu commands are not available when Shredder is thinking. They appear in light grey characters (= disabled). You also cannot enter moves until Shredder has played.

At the beginning of a game Shredder consults its opening book and plays its moves instantaneously.

To interrupt Shredder's thinking process at any time press Esc or click on Interrupt button in the toolbar .


End of game

At the end of a game Shredder displays one of the following messages.

· White wins!

· Black wins!

· Stalemate! Draw!

· Draw! Not enough material left to win!

· Draw because of 3rd repetition!

· Draw because of 50 moves rule!


Playing with black

Playing a with black

To play a game with black you have to:

Turn the chess board with Flip Board from the context menu of the chess board if desired.

Let Shredder play a move with Compute from the Commands menu.


Replaying moves

You can navigate in the game notation using the navigation buttons in the toolbar.

The buttons are similar to those of a VCR and its meaning should be clear.

Taking back and redoing moves

  • to take back the last move press CURSOR-LEFT

  • to redo a move press CURSOR-RIGHT

  • with CURSOR-UP you can take back five moves

  • with CURSOR-DOWN you can redo five moves

Jump to the start if a game

Press HOME to jump to the start of the game

Jump to the end of a game

Press END to jump to the end of the game

J`adoube

If you have entered a wrong move you can take it back with the red arrow in the toolbar.

Lines

To replay lines use the buttons with the arrow pointing up and down.

Tipp You can directly jump to a position by clicking in the game notation.


Playing Levels

With the different playing levels you modify the strength and time usage of the chess program.

You can set the level in the Levels Menu .


Analysing mode

In the analysing mode there is no playing level set as there is no time limit. If you set a level in the analysing mode the playing mode will switch to normal.

By pressing Ctrl-A or choosing Analyse form the Mode Menu you switch to the analysing mode.

In the analysing mode the chess program is permanently analysing the position but does not play any move. You can enter moves for both sides and watch the analysis of the engine in the search information window.

You can execute the best move of the engine by pressing INSERT.

The analysing mode is the easiest and most comfortable way for analysing games.

Tipp With CTRL-INSERT you can add the main line as a comment to the game.

When dragging a piece with the mouse over the chess board in analysis mode Shredder will display the expected reply with an arrow in the board. On the start square you can see the evaluation for the position if you drop the piece on that particular square. You can disable this feature in the context menu of the chess board.


Position setup

You can set up new positions (or modify the current position) on the board at any time.

Right click on the chess board, or choose Edit Position, or press Ctrl-D to open the dialog for editing the current position. The current position is the default position in the dialog.

  • To add a new piece, click on the desired piece on the right side of the board. The mouse cursor will change to the chosen piece when moving the mouse over the chess board. Click on a square to set the piece on that square.

  • If you click with the right mouse button on a square, the piece of the opposite color will be placed on that square.

  • If you click with the middle mouse button on a square, the square will be cleared and the piece on that square will become the new mouse cursor.

  • To remove a piece from a square, double click on that square

  • You can change the current piece with the mouse wheel.

  • You can clear the chess board with the button Clear Board.

  • Click on Curr. Position to undo all changes to the current position.

  • You can confirm all changes and close the dialog with the OK button. If the button is inactive, the position on the board is not legal.

  • Clicking on Cancel will discard all changes and close the dialog.

  • You can set the castle rights with the buttons in the Castle section.

  • You can move the current position by clicking on left, right, up or down.

  • With vert. and horiz. you can mirror the current position.

  • How to add a piece?

  • How o remove a piece?

  • How to remove all pieces?

  • How to get the current position back?

  • Why is the OK button sometimes inactive?

  • What can I do with the six small buttons next to the board?

  • How can I set the castle rights?


Adding a piece

Click on the desired piece next to the chess board.

You can also choose a piece with the mouse wheel

The mouse cursor will show the selected piece over the chess board. Click on the desired square with the left mouse button to place the piece there. Clicking with the right mouse button will place a piece of the other color.


Removing a piece

Double click on a square to remove the piece on that square.

You can also click on the piece with the middle mouse button.


Removing all pieces

Click on the button labeled Clear Board.


Undo all changes

Click on the button labeled Curr. Position.


OK button inactive

The OK button is inactive if the position on the board is not legal.

Verify the position on the board and also check the side to move.

Click on Cancel the leave the dialog without saving the changes.


Six buttons

  • You can move the current position by clicking on left, right, up or down.

  • With vert. and horiz. you can mirror the current position.


Castling rights

Here you can define which castling move is still legal in the position on the board. If the buttons are inactive there is no king or rook on the appropriate square.


Save / Load

Shredder can load and save position the the EPD format as well as the CBF and PGN formats.

EPD files can contain any number of chess positions. When saving EPD positions you can also add a comment to the positon. Use the commands from the File Menu to load and save position.


Databases

Shredder uses the PGN and CBF format to save games in databases.

A database can contain any number of games. In addition to the moves, more game details (name of the players, site, tournament, ...), comments and lines can be saved. The PGN format is supported by many other chess programs. Also the data is stored in plain text format which makes it easy to exchange information between different programs.


Saving games

To save the current game choose File -> Save Game from the menu or use the shortcut Ctrl-S.

A dialog will be shown where you can enter more details of the game.

It is a good idea to enter at least the name of the players and the event data. This will make it much easier to find the game later if you want to load it from the database. Click on Save to save the game in the current database.

If there is no current database set a windows dialog will appear where you can choose to save the game either in an existing database or in a new database. If you want to change the current database you can do so by clicking on Change DB.

Tipp ! To save the game in a new database just enter a new name for the database in the file dialog.

Here you find more information how to load and save positions.


Loading games

To load a game from a database choose File -> Load game from the menu or use the shortcut Ctrl-L.

If no current database is set, you have to choose one with the file dialog.

A list of all games in the database will be shown. The following data is displayed:

  • white

  • black

  • source

  • round

  • ECO code

  • result

Select one game with the mouse and click on Load to load the game. You can also double click on the name to load it.

After loading one game from a database you can load the next and previous game in the database by pressing F7 or F8.

With the mouse you can use the Load Previos Game and Load Next Game buttons in the toolbar.


Replacing games

You can replace the last loaded game with the Replace Game menu item form the File menu. You can also use the shortcut Ctrl-R.

Tipp ! You cannot replace a game after a new game has started, a position was set up or a position has been loaded.


Deleting games

You can also delete games in a database. This works similiar to loading games.

The command Delete Game from the File Menu opens a list with all games in the current database. Choose one game and Click on Delete to delete it.

Tipp ! Games in CBF databases are not physically deleted but are only marked as deleted. They will be shown in a grey color in the game list.


Searching for games

You can search for games in databases. Click on the Search button in the game list to open a search mask.

You can search for the following information:

  • the name of the players

  • event

  • site

  • round

  • result

  • year

  • elo numbers

  • opening

If you are searching for a certain player you can also restrict the search to either white or black.

There is no difference in entering uppercase of lowercase names. The search text also need not be complete. If you for example are looking for the player "stein", the games of "Steinitz" but also of "Bronstein" will be found.

You can switch the search mask on or off with the check box at the bottom of the window.

Info ! Searching for positions and moves is not possible.


Commenting games

With Shredder you can add comments and different lines (alternative moves) to a game.

To enter or edit comments choose "Enter Comment" from the context menu of the notation window.

You can enter text comments as well as special symbols for moves and positions.


Entering lines

If you are entering a new move via mouse or keyboard when replaying a game, a dialog will appear asking whether you want to add the new move as a new line.

You have the following possibilities:

Click on Yes to add a new line.

Click on No to overwrite the move from the game.

You can force a new move as a new line by making the move with the alt key pressed. If you make a move with the alt and ctrl key pressed the game move will be overwritten without confirmation.

In analysis mode you can enter the main line of the program as a line to the game by pressing Ctrl-Insert or choosing Insert Main Line from the commands menu.


Editing lines

You can delete lines, change their order or cut lines.

  • To delete a line go to any move in the line and press DELETE.

  • To move a line up press CTRL-CURSOR-UP

  • To delete the rest of the line go to the last move you would like to keep and press CTRL-DEL

You can also execute all those commands from the context menu of the notation window or from the command menu.


EPD Dialog

Shredder offers a preview dialog for easy handling of chess positions stored in an EPD file.

You can open the dialog by clicking on the Load Position button in the toolbar or with the Load Position command from the file menu.

After opening an epd file you will see the following items in the dialog:

Preview chess board

On this board the marked position from the database will be shown.

Listview window

Here you can see the epd string describing the chess position. By clicking on a string the position will be shown on the preview board.

EPD string

Here you can see the current epd string

Navigaton buttons

With these buttons you can easily navigate in the EPD file representing the position database.


EPD format

The EPD format defines how to store chess positions in plain text files. It cannot store whole games like the PGN format but it is still very useful because of its compactness. It can save a chess position in just one text line.

You can store many chess positions in just one EPD file.

You can load and save positions in an EPD file with the file menu command Load Position and Save Position. You can also use the toolbar.


PGN format

The PGN format is the standard format for saving chess games. It is used by Shredder as well as other chess software and is therefore extremely important for exchanging data bases. PGN stands for portable game notation and stores chess games in plain text format.

You will find many free PGN chess databases in the Internet which can be imported into Shredder.


Wildcard analysis

In endgames with 3, 4, 5 and some with 6 men the wildcard analysis offers a unique analysing feature. Shredder is accessing the endgame databases when using the wildcard analysis.

You can activate the wildcard analysis by right clicking on the chess board. The position on the current chess board must be contained in one of the installed endgame databases.If you have not installed the database for the current position, Shredder will ask you if he should search the position in his online endgame database.

In the wildcard analysis one piece will be taken off the board and put back on every possible square of the board. The evaluation of the position will be written on that particular square.

Hinweis ! The current game will be deleted when using the wildcard analysis so you should save it if necessary before starting the wildcard analysis.

Example: Imagine the following question: On which squares (for the white king) is the endgame K + Q against K + bPf2 won for white? Just setup any of those positions, click on the white king and choose "wildcard analysis". Within a second, you will see the information written on every square. Please note that the values are the real scores and not just Shredder's "guesses".

Endgame oracle


Triple Brain

The Triple Brain is a new concept to combine the strengths of two different chess engines. It will combine those two engines automatically to get the optimum for analysing. The "normal" chess engines are analysing a game when a third engine will decide which move or analysis is better. That third engine is called the Triple Brain in Shredder. In its own search window the Triple Brain will display a value between 0% and 100%. This value will indicate how sure about its choice the Triple Brain is.

Example: 0% means that the Triple Brain sees no alternative to the move or doesn't really know which move is better, 100% indicates that one move is clearly superior.

For the Triple Brain to work best you should combine two engines with about equal playing strength but different playing styles.

Note: You can modify the Shredder engine and create your own engines which will differ in their style.

The time management will also be done by the Triple Brain in case you play games with it.

Information in the Tripe Brain window

Info Triple Brain

  • the search depths of both engines

  • the search time

  • value (in percent) that represents how sure the Triple Brain is with his move choice.

  • the best move according to the Triple Brain

  • the name of the engine who's move is chosen.

The hash fill rate and the nps are the average values of both engines.


Analysis mode

With Ctrl-A or Analysis in the Mode menu you can switch on the analysis mode.

In the analysis mode the chess program is permanently analysing the position but is not playing any move. You can enter moves for both sides and can constantly watch the analysis of one or more engines.

CTRL-INSERT inserts the main line of the engine in the game notation.

The analysis mode is the easiest, most common and most comfortable method for analysing. You can use up to 10 engines parallel in this mode.

In analysis mode you can assign a value to each position of the game being analysed. Simply right click in the engine window and select an entry from the Set Position Value sub menu. Shredder will not question this value and wíll use it for his analysis of the game. This way you can "help" Shredder if you know that a position has a certain value and Shredder has problems recognizing this. However be careful not to enter wrong values here as these will have a negative effect on the analysis.


Multi-Line analysis

When analysing a position Shredder can not only search for the best move but also analyse any number of moves.

By pressing F6 you can increase the number of moves to analyse. The program will display a list of the best moves found together with the evaluation and main line. You can decrease the number of moves again by pressing F5. Both commands are also available in the context menu of the search window.

The bigger the number of moves to analyse, the slower the analysis will be. Therefore you should disable the multi line analysis If you only want to know the best move.


Analysing games

Shredder can automatically analyse a game. Choose Analyse Game from the Mode menu to analyse the current game.

You have the following options:

  • Side who's moves should be analysed (white, black or both).

  • Moves to analyse (the default is move 1 until the end of the game).

  • Threshold: The analysis will only be shown if the evaluation of the best move and the evaluation of the played move differ by at least the chosen value. If you chose 0 as a threshold the analysis for all moves will be shown.

  • Clear comments/variations: old comments and variations will be replaced with the new analysis.

  • The time used for the analysis will depend on the chosen playing level. You can also set the time per move directly in this dialog.

Shredder's analysis will be added as lines to the game. The evaluation, search depth and time will be added as text comments. The games will be analysed from the end to the beginning, this will improve the quality of the analysis.

Moves from the opening book will not be analysed if the book is switched on.


Selecting moves

Selecting moves to analyse

You can tell Shredder which moves to analyse or not analyse in a given position. To do so switch on the analysis mode first.

Hold down the Ctrl key when entering a move on the board. This will tell Shredder to only analyse this move. You can repeat this to select any number of moves to analyse. If you enter a move again with the Ctrl key pressed it will be removed from the list of moves to analyse.

Compared to a normal analysis the program can search faster as not all moves need to be examined. However it is up to you to pick the right moves for analysing.

Similarly, you can enter a move with the Shift key pressed to exclude the move from the search. You can use this feature if you do not like the best move suggested by Shredder.


Analysing positions

Shredder can automatically analyse all positions in an EPD file . For all positions in the database a solution should be defined. After the analysis the program will display statistics of the found solutions.

To stop analysing the positions in the database just chose any other playing mode from the Mode menu.

Tipp ! For analysing EPD files the level exact time per move is well suited.


Introduction

Shredder was designed as a multi-engine system.

This means that the user interface and the chess engine are strictly separated. They communicate via a specially designed protocol. This way you can use different chess engines in one user interface.

Shredder supports two different chess engine standards.

UCI engines

Winboard engines


UCI engines

UCI stands for Universal Chess Interface. It was developed by Stefan Meyer-Kahlen and Rudolf Huber and is similar to the Winboard interface but has numerous advantages.

  • UCI engines are automatically detected and installed by Shredder.

  • UCI engines can be configured with standardised dialog masks. Neither basic nor engine-specific functions need external configuration dialogs.

  • UCI engines have access to all functions of the Shredder interface.

You can find the documentation of the UCI protocol at www.shredderchess.com.

If you want to write your own UCI chess engine Shredder offers two features which make things easier.

In the command line you can swich on or off a debug mode by typing "ucidebug". In debug mode all communication between the GUI and engine is displayed in the analysis window.

With "ucilog" you can switch on and off that Shredder will write all communication in the file "ucilog.txt".

Both functions are disabled when starting Shredder.


Winboard engines

Besides the UCI protocol Shredder is also supporting Winboard engines. The communication with Winboard engines is via a converter.

It is recommended to use UCI engines instead of Winboard engines in Shredder if you have the choice.


Engine options

UCI engines can have engine options which allow changing certain parameters in the engine. They can be easily modified in the integrated dialog box.

Some possible options are:

  • the evaluation of every piece

  • the evaluation of king saftey

  • selectivity

  • draw value

  • learning

The engine option dialog varies from engine to engine. Here are the details for the Shredder engine.

Engine in Shredder are represented by a file with the extension *.eng. You can modify the options of any engine and save it as a new engine. Those engines will be treated like real engines in the engine dialog boxes. You can test your own settings in engine matches and engine tournaments.


Install engine

Menu Extras / Engines

This function installs an engine in the Shredder user interface.

To install an engine in Shredder to the following:

  • Choose Install Engine from the Engines menu in the Extras menu.

  • Choose the engine type in the next dialog.

  • Choose the path to the engine

  • Set the names of the engine and author.

After these steps the engine can be loaded in Shredder.

Hinweis Uninstall Engine --> Removes the engine from the engine dialog.

Achtung Note: When being deinstalled the engine is not deleted from the hard disk!


Change engine

Replaces the active engine with a new one.

You can call the function from the context menu of the analysis window .


Add engine

Adds another engine in Shredder. You can use up to 10 engines simultaneously in Shredder.

Achtung Note: All loaded engines have to share the system resources.


Close engine

Closes an active engine and its search and analysis window .


Shredder's engine options

You can modify the chess algorithms of Shredder and save different styles as a new engine. Those modified engines can be used like real chess engines in the engine dialogs.

You can call the engine options dialog from the context menu of the engine window.

Hint: The options depend on the active engine.

Keep Hash Tables:

Shredder is never clearing his internal hash tables -> this is good for games and analysis.

Position Learning:

Shredder remembers positions he has already analysed and played. With this option Shredder is trying to learn from his mistakes.

Prefer Open Positions:

The program prefers open positions. This may not always result in the best 'absolute' move being selected, but rather the move that is most difficult for the opponent to play against.

Use Tablebases:

Set how Shredder is using the Nalimov endgame databases in its search.

Never: Shredder never accesses the endgame databases

Late: Shredder accesses them late and will not be slow down much.

Normal: Shredder accesses them reasonably.

Early: Shredder accesses them early and can sometimes be slow down a lot

Use Shredderbases:

Set how Shredder is using the Shredderbases in its search.

Never: Shredder never accesses the Shredderbases

LikeTB: Shredder accesses them as often as the Nalimov endgame databases.

Normal: Shredder accesses them almost everywhere.

Always: Shredder accesses them everywhere

Draw Score

This specifies how Shredder is evaluating a draw. If the value is below 0 Shredder is playing to win, if the value is greater 0 often a draw is good enough.

Clear Hash:

After clicking on OK the internal hash tables are cleared. This option helps to get reproducible results.

Clear PosLearing:

Clears the file with all learned data from the hard disk. Shredder is loosing his learned knowledge.

Values for the pieces:

Specifies the value of the pieces in %. The default value for all pieces is 100%. For example if Shredder is sacrificing too many pawns you can set the value for pawns to 110%. If you set the value below 100% Shredder is more willing to sacrifice pawns. You can set the values for all pieces depending on the game stage.

Settings for the search (not Shredder Classic):

Style

Intelligent - Aggressive - Active - Normal - Solid

You can specify how much Shredder should cut his search tree. Intelligent is cutting the most, Solid the least.

Combinations

All - Most - Some - None

You can specify how many tactical lines Shredder should investigate. All are the most and None the least.

Forward Pruning

0...5

Sets how many plies Shredder should cut senseless lines.

Selectivity

Sets how many plies Shredder should follow promising lines.

At -3, -2 and -1 this value is set automatically. -1 the least, -2 the most, -3 is in between.

From 0 - 99 you can directly set the value in plies.

Weights for the evaluation parameters:

You can set the weight in % for the most important evaluation parameters in Shredder.

King Safety

Sets the parameter for king safety

Center Control

Sets the parameter for center control

Pawn Structure

How should Shredder evaluate certain pawn patterns on the board?

Passed Pawns

If for example you think that Shredder is over evaluating passed pawns you can set this value to 90 %.

Bishop Pair

How much should Shredder evaluate the bishop pair

Time Usage

With bigger values Shredder is playing slower but will certainly obey the time controls.

Knowledge or Speed

With smaller values Shredder's evaluation is faster but not so precise.

Threads (only Deep Shredder)

Sets the number of processors Shredder should use on a multi prozessor machine. The more processors Shredder is using, the faster and more efficient he can calculate.


Engine match

You can run automatic test matches with different engines in Shredder.

This can be used for testing

  • modified chess engines

  • external UCI or Winboard engines

  • of own opening books in combination with an engine

The engine match dialog can be called from the Mode menu.

White

Click on the button and select the desired engine.

Black

Click on the button and select the desired engine.

You can load a different opening book for white and black. Click on the button and select a book.

Use Engine Book

Same engines access their own opening book and don't let the GUI handle it like for example Shredder. With those engines you can define here that they should use their own book. You cannot change the name of that book here.

Level

Here you can set the level for the match.

Permanent Brain

On systems with just one cpu you should disable Permanent Brain here. In Engine matches this option is useful for systems with more than one cpu.

Swap Sides

If enabled after every game the colors will be switched.

Book Learning

The engines should change their opening book according to the results of previous games.

Games

Here you can define the number of games to play.

Save File

You can specify the database in which the games should be saved.

Opening DB

You can specify positions from which the games should be played.

Without Books

Here you can switch off the usage of opening books for the match with just one mouse click.


Engine tournament

In Shredder you can test different engines in a tournament. You can choose if you would like to start a new tournament or if you would like to continue an old one.

The engine tournament dialog opens when choosing Engine Tournament from the mode menu.

Title

Enter a name for the tournament.

Installed Engines

Shows a list of the installed engines. You can invite an engine to the tournament by double clicking on its name or by clicking on the button with >.

Participants

Shows a list of the participants of your tournament. You can remove an engine from the tournament by double clicking on its name of by clicking on the button with <.

All One Book

All engines will use the same opening book.

All One Hash Size

All engines will use the same hash size.

Opening Book

Depending on the current setting you can either choose a book for one or all engines.

Use Engine Book

Same engines access their own opening book and don't let the GUI handle it like for example Shredder. With those engines you can define here that they should use their own book. You cannot change the name of that book here. This setting is either for one or for all engines.

Level

Here you can set the level for the match.

Permanent Brain

On systems with just one cpu you should disable Permanent Brain here. In Engine tournaments this option is useful for systems with more than one cpu.

Book Learning

The engines should change their opening book according to the results of previous games.

Tournament Type

You can chose between Round Robin where all engines play each other, or Run the Gauntlet where the first engine has to play all the others.

Cycles

Here you can set the number of cycles and thus also the number of games to play.

Opening DB

You can specify positions from which the games should be played.

Without Books

Here you can switch off the usage of opening books for the match with just one mouse click.


The opening book

You find all functions dealing with the opening book in Extras -> Opening Book and in the context menu of the book moves window.

The opening book in Shredder is saved in an opening tree. The included opening book contains ca. 20.000 moves and was carefully edited by the Italian opening book expert Sandro Necchi. The book takes care of move transpositions.

For every position in the opening book many additional information will be displayed in the moves window. The following information is shown:

  • Move in this column all the moves in the book in the current position are displayed

  • Prob shows the probability for Shredder playing that move in percent

  • N shows the number of games played with that move in this position

  • % shows the success of this move

  • Elo shows the average strength of the players who have played that move

  • Perf shows the elo performance achieved with this move

  • Year shows the average year in which this move was played

  • + = - shows the number of won, drawn and lost games with this move

Hint: You can sort the entries by clicking on the header of each column.

You can edit and extend all books in Shredder and also create your own book. There is no size limit the opening books in Shredder.

With the "Online" button at the bottom of the book moves window Shredder can directly access a huge online opening book with 16 million moves. Your computer needs to be connected to the Internet to use this feature.


New opening book

Creates a new initially empty opening book .

The file suffix of Shredder opening books is *.bkt.


Load opening book

Loads an existing opening book.

Hint: there is always only one active opening book


Import

You can add moves to an opening book by importing other opening books or by importing games in the opening book.

Import books

You can import opening books of other chess programs as well as other opening books of Shredder in the currently loaded book.

Import games

You can import databases in CBF and PGN format in an existing opening book of Shredder.

These are the options:

  • With import lines the side lines of the games will also be imported in the opening book

  • Import statistics updates the statistics in the book according to the results of the imported games

  • Import move attributes imports move comments in the book

  • The length of the imported games can be set either in absolute plies or in plies after the last found position in Shredder's internal ECO database.

Import current game

Imports the current game in the opening book.


Count book moves

Counts the number of moves in the current book and displays the information in a dialog box.


Weed opening book

Shredder checks the content of the opening book and deletes unimportant moves.

For example moves which where played in just one game.


Book options

With this function the opening play of Shredder can be influenced. You can open the dialog from the context menu of the moves window if it is currently displaying book moves or by pressing Ctrl-O.

Use Opening Book

Defines if Shredder is using the opening book.

Use Engine Book

Activates a special opening book of the chess engines which is used by some engines. In the Shredder engine the opening book is handled by the GUI, therefore you cannot activate this feature with the Shredder engine.

Book Mode

You can assign a value from a-g to every move in the book. "a" moves will be played often, "e" moves seldom and "f" and "g" moves never.

In tournament mode Shredder is only playing "a"-"c" moves if there are some. In standard mode he is playing "a"-"d" and in wide mode also "e" moves.

Book Learning

With book learning the program remembers whether the position after the book was good or bad and is trying to repeat the good ones.

Result Learning

With result learning the program remembers the results of the played games and is trying to repeat the successful opening lines.

Move Values

When selecting a move from the book Shredder obeys the "a"-"g" value for every move.

Use Statistics

Shredder uses the statistics in the book when selecting a move from the book.

Refutations

Takes care of possible refutations in the opening book.

Example: A move was played 1000 times and has a winning chance of 60% but almost all of the last games were lost. So probably a refutation was found. Shredder discovers that and is correcting the winning percentage for this move automatically.

Classic/Modern

Specifies if Shredder should play rather old openings or new ones.

Requirements

Here you can define which requirements are needed if Shredder should play a move out of his opening book. Shredder will only play a move if at least "Games" games were played with this move of which "Wins" games were won. With white the winning percentage must be at least "White's Score" percent and with black at least "Black's Score" percent.

Move No.

Plays at most "Move No." moves out of book.

Influence

Here you can set the weight of all factors.

Example: If you set the "Move Value" slider to the right, a move with an "a" score will be played even more often and if you set the slides "Num. Games" to the left it doesn't matter much if a move was played 10 or 1000 times.

Hint: You can check the changes to the opening book preferences in the moves window while modifying the parameters in this dialog.


Book moves comments

You can enter text comments to every book move in Shredder.

To add a comment to a book move right click on a book move in the moves window .

The following dialog will appear.

Book moves comments

In the comment text field you can now add any text comment.

The comments will be displayed in the moves window if the book moves are shown.

Text comments will be saved in the file "shredder.bkc". The comments are independed of the currently loaded book.


Book moves values

You can assign a move value a-g to each book move which influences the probability of Shredder to play a move out of book.

move values in the opening book

A moves will be played more often, e moves seldom and f and g moves never.

See also here.

Book moves can also have an attribute like "!" or "?", but those are only for commenting the book moves.


Pocket Fritz

Opening books for Pocket Fritz or Chess Engine

If you own the program Pocket Fritz for Pocket PCs you can convert opening books to the format of Pocket Fritz and use those books on your Pocket PC. Those .pbk books can also be directly accessed by the Shredder chess engine.

Here is what to do:

  • Load the opening book in Shredder.

  • Select Export Opening Book from the extras menu / opening book and if you are asked answer the question with No if you would like to create a text book.

  • Shredder will create a book called shredder.pbk in the Shredder directory.

  • Rename the book to "book.pbk" and copy it to the Pocket Fritz directory on your Pocket PC.

  • To use the book with the Shredder engine just activate the Engine Book option in the Book Options Dialog.


TableBases

Shredder can access the endgame databases developed by Eugene Nalimov. The information from the endgame databases are used by Shredder when calculating a move and help Shredder to improve his endgame play.

The Nalimov endgame databases are available free on the internet.

The endgame databases are huge databases containing all positions up to 6 men. For all positions the exact value of this position is stored. If a position is won, the exact number of moves until mate is stored allowing a chess program which uses the tablebases to precisely evaluate many positions with just a few pieces left on the board.

Shredder can directly access a huge online endgame database in the Internet where all available endgame databases with 3 - 6 pieces are stored. Simply click on "Online" in the moves window when it is set to endgame databases.

If you are accessing the Interrnet via a proxy and Shredder doesn't recognize this automatically when using the online endgame database, you can create a file proxy.ini with the following content in the Shredder directory.

Access via the proxy 192.168.0.1 and port 8080:

[INTERNET]

Proxy=192.168.0.1:8080

Direct access without proxy:

[INTERNET]

Proxy=no


Path

Path to the endgame databases

Sets the path to the endgame databases on the hard disk. Shredder needs to know where to find the endgame databases.

Extras Menu -> Engines -> Endgame Databases

Path to tablebases

You can enter up to 5 paths in this dialog and each path can be activated or deactivated individually.

With GUI uses endgame databases you can activate the endgame databases for the GUI. This consumes system resources but is necessary if you want to use the Joker Analysis and the Endgame Oracle.

You can also set the cache size and automatically install the tablebases on hard disk.


Cache size

Defines the size of the cache for the endgame databases.

Using the cache the access to the endgame databases on the hard disk will be faster.


Install TableBases

In case you have CDs with more TableBases you can install them to hard disk within Shredder.

Here is what you have to do::

  • Insert the CD in the CD drive

  • Click on "Install.." in the dialog Extras -> Engines -> Endgame Databases.

  • Enter the target path on the hard disk where to install the endgame databases.

  • Click on OK

Note: You can only copy the whole CD on the hard disk. If you would like to copy only a subset of the files you have to do this manually


Shredderbases

Shredderbases are new strong compressed chess endgame databases. In chess endgame databases a value for each chess position is stored which indicates if the position is won, draw or lost. Even with very few pieces left on the board these databases get very big because of the many possible combinations. However with the information from the database the program plays those endgames perfectly.

All 3 and 4 men endgames are just 1 MB in the Shredderbases. All 3, 4 and 5 men together are 157 MB. In the widely used Nalimov endgame databases the comparable size is 7500 MB. This extremely good compression allows it to always load the Shredderbases into RAM which makes accessing them about 1000 times faster than accessing the Nalimov endgame databases. Shredder can now access the endgame databases much more often with hardly any delay. Because of this Shredder’s playing strength and analysis capability get a huge boost in certain endgames.

The Shredderbases work fine in combination with the Nalimov endgame databases. In the search the Nalimov databases are no longer accessed when the corresponding Shredderbases are installed. When the position on the chess board is already in the database, Shredder will access the Nalimov databases as the Shredderbases only store if a position is won, draw or lost and not the number of moves until mate.

All Shredder versions are shipped with a database including all 3 and 4 men endgames. In Shredder 11 UCI and Deep Shredder 11 UCI you will also get a link to download the Shredderbases with all 3, 4 and 5 men. Deep Shredder 11 UCI additionally includes a database with all 3, 4 and 5 men endgames in 441 MB which can be accessed another ten times faster.

The Shredderbases will always be loaded into RAM. So your computer needs to have free RAM for the complete Shredderbases you would like to use. In return the Shredderbases offer many new possibilities when analysing endgames.


Endgame Oracle

A new function in Shredder is the endgame oracle. It allows you to access the endgame databases in a way that was previously not possible. This is especially relevant to endgame training and chess research.

These functions are only available if you have installed and activated the Nalimov tablebases.

Here's an example

We can use the endgame tablebase king + knight + knight vs king + pawn (KNNKP) to show the possibilities of the oracle. Grandmaster Ludek Pachmann wrote in his book “Chess Endgame Practice” that “c5 is the furthest point at which the black pawn must be blocked so that a win by the two knights is still possible. Once the black pawn has gone past this line it is impossible to win”.

Is this true? Let’s test it with the oracle.


Define a position

We will now demonstrate how to use the endgame tablebase king + knight + knight vs king + pawn (KNNKP) to find out when the attacking side wins.

Grandmaster Ludek Pachmann thought that “c5 is the furthest point at which the black pawn must be blocked so that a win by the two knights is still possible. Once the black pawn has gone past this line it is impossible to win”. We want to check this opinion.

First of all you have to setup the board position (Ctrl-D). Enter a position with two knights against a pawn. The black pawn must be on c4 so that we can see if a pawn that has advanced to c5 can win.

Using the menu Extras – Endgame Oracle (or Ctrl-F12) we now get the endgame oracle input screen:

By clicking each piece with the mouse you can set the different wildcard symbols for each piece. This is what each of them mean:

? (as in the picture above) = anywhere on the board

Arrow Up/Down = the column on which the piece is standing

Arrow Left/Right = the row on which the piece is standing

“Wildcard” means that while using the KNNKP tablebases the pieces will be checked for all squares specified by the wildcard. For instance, if a piece on a8 has been assigned a row wildcard it will be placed successively on all the squares from a8 to h8. If the piece has been assigned a board wildcard it will be placed on all 64 squares. The wildcard being used is specified by a small red arrow in the corner of the square.

In our example the black pawn is not given a wildcard, but all the other pieces are given board wildcards.

In the oracle dialog you define whose turn it is to move: White, Black or both. Below that you can specify which positions should be saved in the EPD file tboracle.epd.

  • None (only display the statistics on the screen)

  • Longest win for White/Black

  • Draws

  • Positions with a predefined distance from checkmate (for instance, Shredder can list all positions which White can mate in 25 moves)

  • Zugzwang positions (White/Black wins, but if it is the other side’s move it is stalemate; both lose if they have to move)

Now we can consult the oracle.


Information from the oracle

After the position has been defined the search can be started.

Once more: the search only works if the corresponding endgame tablebases have been installed.

After running the search Shredder will output a lot of information about the endgame being analysed. For instance in the position defined in the previous section it will examine 11 million positions and report that White can win in 873,022 positions, i.e. 7.51% of all possible positions. The longest line is mate in 73!


Analysing with the Oracle

Yesterday I played a tournament and lost in a queen + pawn (g7) vs queen endgame (KQPKQ). Should I have placed my king a long way away from the pawn, on a4 or a1?

Questions like this are common for anyone who frequently plays in tournaments. By using the endgame oracle you can get a better understanding of how to play this endgame.

How to do it:

  • Set up the pieces with the white pawn on g7 and the black king on a4.

  • Assign a board wildcard to all the other pieces.

  • Note the percentage of white victories.

  • Repeat the procedure with the black king on a1 and compare the statistics.


Training

Example: Use the oracle to search for all positions in the endgame queen and two bishops vs king (KQBBK) which need 23 moves to checkmate. Set up a position at random and then – without cheating (i.e. looking at Shredder’s analysis) try to find the best possible mate against Shredder’s perfect defence.


Autoplayer

Auto 232

Menu: Mode – Autoplayer

The Auto 232 interface allows you to play matches between two separate computers. The computers must be connected by a null modem cable, and the remote computer must be running a chess program that also supports the RS232 Autoplayer. One program is configured as a master and one as a slave. You must specify which serial port the cable is connected to. If Shredder is master you can specify the number of games to play and the time-out (Game is stopped if no move is made in time-out time).

Note: You must set the time controls, opening book, etc and start a new game before starting the Autoplayer.

All games from an Autoplayer match are saved to the database "auto232.pgn".


Pawn units

A chess program evaluates positions in pawn units.

Here are the values for each piece on the board.

  • Queen 9 pawn units

  • Rook 5 pawn units

  • Bishop 3 pawn units

  • Knight 3 pawn units

  • Pawn 1 pawn units

Positional factors are evaluated in fractions of a pawn.


Databases/File formats

The following file standards are supported by Shredder.

CBF

Shredder can read and write chess database files in the CBF format. This was originally developed by ChessBase and it is supported by a variety of chess programs.

A CBF database contains a collection of chess games. In addition to the moves a lot of information (players, venue, year, result, opening code, comments, variations etc.) can also be stored. The data is stored in a highly compressed format, and it allows Shredder to search for specific game information very quickly.

PGN

The PGN format is widely used on the Internet. In addition to chess moves a lot of information (players, venue, year, result, opening code, comments, variations etc.) can also be stored. Games are stored as text, so that a PGN database can be edited with any word processing program.

Here is an example of a game in PGN:

[Event "18th WMCC"]

[Site "Maastricht"]

[Date "2001.08.23"]

[Round "8"]

[White "Shredder"]

[Black "Chess Tiger"]

[Result "1-0"]

1. d4 d5 2. Nf3 Nf6 3. e3 Bf5 4. Bd3 Bxd3 5. Qxd3 Nbd7

6. O-O e6 7. Nc3 c5 8. e4 cxd4 9. Nxd4 dxe4 10. Nxe4 Be7

11. Be3 O-O 12. Rad1 Qa5 13. Nxf6+ Nxf6 14. Qb3 Nd5

15. Qxb7 Rab8 16. Qd7 Rfd8 17. Nc6 Rxd7 18. Nxa5 Rxb2

19. c4 Nf6 20. Nc6 Bf8 21. Rxd7 Nxd7 22. Ra1 Bc5 23. Nxa7

Bxe3 24. fxe3 Ne5 25. a4 h5 26. a5 h4 27. h3 Nxc4 28. a6

Nb6 29. Nc6 Kh7 30. a7 Na8 31. Nd8 Kg6 32. Ra4 e5 33. Rxh4

Ra2 34. Nc6 Ra6 35. Nxe5+ Kg5 36. Rg4+ Kf6 37. Nd7+ Ke7

38. Nb8 Ra1+ 39. Kh2 Kd6 40. Rd4+ Kc7 41. Rd7+ Kb6 42. Rxf7

Rxa7 43. Nd7+ Kc6 44. Ne5+ Kb6 45. Nc4+ Ka6 46. Rxa7+ Kxa7

47. h4 Kb8 48. Nd6 g6 49. Nf7 1-0

You can cut and paste this game into Shredder. Shredder can load and save game collections in PGN format, and is also able to search for specific game information in any PGN database file.

Some PGN databases do not strictly conform to the PGN standard and some games in such databases cannot be transferred. An error message will indicate problems.

EPD

An EPD file is an ASCII text file which stores chess position. Each is separated from the previous position by a carriage return and line feed.

The board is described first. The upper case letters PNBRQK represent the white pieces, and lower case represent black pieces. Numbers indicate a series of empty squares from 1 to 8. The board description starts at a8 to h8, then a7 to h7 etc. The separation of each rank is marked by a slash.

The side to move is next. It is separated from the board description by one space character and consists of "w" or "b", indicating White or Black to move.

Next are the castling rights, again separated by a space. "Q" indicates that white can castle queen side, "K" that he can castle king side. The lower case letters are used if black can castle. If neither side can castle at all only a hyphen is used.

Finally the square on which a pawn can be captured en passant is given, in algebraic notation. If white is to move this string can only be a5, b5, c5, etc., or a hyphen if no pawn can be captured en passant. Likewise with black to move this string must be a4, b4, c4 etc., or a hyphen.

Here's an example of an EPD position:

8/2p5/7p/pP2k1pP/5pP1/8/1P2PPK1/8 w - - id "BS-06";c0 "f2-f3 ! wins";


Permanent brain

"Permanent brain" is the name given to the function that a computer thinks during the opponent's time. Essentially a chess engine will try to guess what the opponent is going to play and prepare a reply before he has finished thinking about it. If the opponent plays the move that the computer expects the computer may reply very quickly or even immediately. If the opponent makes another move the computer will have to forget its permanent brain calculations and start thinking about its next move again.

This is the reason why Shredder will sometimes reply instantly, even on slow playing levels.

You can watch the permanent brain calculations in the engine window. The information is displayed in light grey text.

It is advisable to switch permanent brain off if you wish to carry out timing tests, for example, to see how long the Shredder engine takes to solve a particular test position. If permanent brain is on you will not get consistent results, since Shredder may have already been calculating the position before you started the test.

So in order to get the most stable results in computer tests you should switch off permanent brain and clear the hash tables. This can be done in the engine options menu.


ECO

The ECO (Encyclopedia of Chess Openings) code is a system to classify chess opening.

Each ECO code has a letter from A-E and a number from 00 to 99.


Fischer clock

The Fischer clock was invented by former chess champion Bobby Fischer.

For every move the players will get a time bonus to avoid time trouble.

You can use the Fischer clock in Shredder.


Endgame Databases

Many chess programs can play all important major piece endings with three, four and five men on the board perfectly. This is to be taken literally. The endgame databases contain full information on every legal position that is possible in these endings. At any stage, the program knows whether the position is won, lost or drawn, and how many moves it takes to win or lose (assuming perfect play by both sides).

In computer chess there are two different types of endgame databases that are being used at the present time:

  • The Thompson databases, generated by Ken Thompson

  • The Nalimov endgame tablebases, generated by Eugene Nalimov

Shredder uses the Nalimov tablebases. It consults these during the search and it can use them in a special endgame oracle that allows you to study endgames in a unique manner.

Nalimov tablebases

These endgame databases were introduced in 1998 and are generally referred to as "tablebases". The currently available tablebases contain every possible position in every relevant four and five piece endgames. Together with each position there is information on whether it is a win, loss or draw. If a position is a win or a loss there is information on the maximum number of moves required up to mate.

A chess playing program using the Nalimov tablebases will end many games with truly spectacular mate announcements. Shredder will often confront you with a "mate in 45 moves", even when there are many more pieces on the board. This is because the program has found a line in which it can trade down to five pieces and then get a position which is recorded in the tablebases as a forced win.


Learning

Shredder has various learning functions. The learning has the following targets:

  • Improved game play and analysis

  • Recognition of combinations

  • Improving the opening book

  • Repeating won games and avoiding to repeat lost games


Search depth

Shredder can calculate a number of moves ahead.

The number of moves in this calculation is called the search depth and is measured in plies. A ply is one move from either white or black. Thus each move consists of two plies.


Clipboard

The clipboard is a tool in windows to exchange data between two programs. Shredder is also supporting the clipboard. You can exchange games in PGN format and positions in EPD format with other programs via the clipboard. This is done with the Copy and Paste commands from the Commands menu .You can also copy the current game in a plain text format to the clipboard.